Steam nem indul

 ( gee | 2016. szeptember 28., szerda - 13:14 )

Debian testing van a laptopomon. Jól muzsikált a Steam korábban.
Egy korábbi KDE probléma miatt jópár csomagot eltávolítottam, másokkal helyettesítettem, majd visszatelepítettem.

A KDE most már ismét jól működik, viszont a Steam nem indul.

Ma letöröltem a korábbi steam-launcher csomagot, és a steam weblapról letöltöttem és telepítettem a jelenlegi verziót, de ez nem oldotta meg a problémát.

Annyit látok, hogy ha elindítom konzolból a Steam-et, akkor ír pár hibaüzenetet, aztán csak áll és vár. ^C-re kilép.

Feltételezem, hogy valami függőség nem stimmelhet, valami hiányzik neki talán.
Találkoztatok már ezzel a hibával? Tudjátok, mi a megoldás?


gee@hawk:~$ steam
/home/gee/.local/share/Steam/steam.sh: line 154: VERSION_ID: unbound variable
/home/gee/.local/share/Steam/steam.sh: line 154: VERSION_ID: unbound variable
Running Steam on debian 64-bit
/home/gee/.local/share/Steam/steam.sh: line 154: VERSION_ID: unbound variable
STEAM_RUNTIME is enabled automatically
/bin/bash: /home/gee/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu/libtinfo.so.5: no version information available (required by /bin/bash)
grep: symbol lookup error: grep: undefined symbol: pcre_jit_stack_alloc
grep: symbol lookup error: grep: undefined symbol: pcre_jit_stack_alloc
grep: symbol lookup error: grep: undefined symbol: pcre_jit_stack_alloc
awk: /home/gee/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu/libtinfo.so.5: no version information available (required by /lib/x86_64-linux-gnu/libreadline.so.6)
Installing breakpad exception handler for appid(steam)/version(1472687432)
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: i965_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Ez gfx driver hiba. En ubin tolom steamet neked is azt ajanlom. Azon csak egy eger kattintas normalis video drivert felrakni.
Debiant csak es kizarolag szerverre szabad rakni. Valassz egyet a millio ubi variansbol amelyik teccik es azt hasznald.

--
GPLv3-as hozzászólás.

Nem tervezem kizárólag a steam miatt lecserélni a rendszeremet.
De azért köszi a tanácsot

Szóval kiderült: a Steam kliens hoz magával egy csomó libet, amik közül számos megtalálható a disztribúcióban is.
Mivel más a verziójuk, ezért jól összeakadnak.
A neten meg lehet találni, hogy mik okoznak hibát.
Ezeket a libeket kell a Steam telepítésből kitörölni, és akkor a disztrib libeket használja és megy.
Állítólag viszont minden Steam frissítéskor ugyanez elő fog jönni.

Ez nem csak Debian alatt jön elő, hanem minden olyan disztribúciónál, ahol frissebbek a libek, mint valami régi ubuntuban, amire a Steam célzott (ha jól emlékszem, 2014 valamelyiket írták).

Végül én máshogy oldottam meg a dolgot. Debianban van egy 32 bites steam csomag. Azt feltéve működik a dolog vacakolás nélkül, csak annyi, hogy így most 64 bites helyett 32 bites Steam kliensem van.
Szóval ebben az esetben a friss verziót a weboldalról letölteni nem volt a legjobb ötlet.

Igen, ez Linuxon a Steam runtime, amivel desktop Linux viszonylatban egy fix API-t biztositanak a fejlesztoknek.

Szia!

Én a debian repóból raktam fel. Elsőre nem akart indulni. Valami steamui.so gondja volt. Túrtam kis netet, aztán ldd-vel megnéztem mik kellenek ennek a steamui-nak, mindent felpakoltam amikre rikonyált és azóta szuperül megy.

p00t